<div class="row justify-content-between mb-4">
    <div class="col-lg-6 col-md-8 col-sm-9 col-12">
      <div class="row">
        <div class="col-md-3">
          <select class="custom-select" style="width: auto" [(ngModel)]="query.page_size"
                  (ngModelChange)="getRanges()">
            <option [ngValue]="25">25 élements</option>
            <option [ngValue]="50">50 élements</option>
            <option [ngValue]="100">100 élements</option>
            <option [ngValue]="200">200 élements</option>
          </select>
        </div>
      </div>
    </div>
    <div class="col-lg-6 col-md-4 col-sm-3 col-12 text-right">
      <button (click)=openAddingModal() type="button" class="btn btn-basic ml-2">
        Ajouter une gamme
      </button>
    </div>
  </div>
  
  <div class="row">
    <div class="col-12">
      <ng-container *ngIf="rangePage && rangePage.results.length > 0; else fakeLines">
        <div *ngFor="let elem of rangePage.results;" class="d-block bg-white shadow rounded p-4 mb-3">
          <div class="row">
            <div class="col-11" >{{elem.name}}</div>
            <div class="col-1 text-right">
              <button [routerLink]="['/ranges/' + elem.id]" class="btn btn-light mr-2 align-middle">
                <fa-icon [icon]="icons.faEditIcon"></fa-icon>
              </button>
              <button (click)= "openDeleteConfirmationModal(elem.id)" class="btn btn-danger align-middle">
                <fa-icon [icon]="icons.faTrashIcon"></fa-icon>
              </button>
            </div>
          </div>
        </div>
      </ng-container>
      <ng-template #fakeLines>
      </ng-template>
    </div>
  </div>
  
  <div *ngIf="rangePage" class="row">
    <div class="col-12">
      <ngb-pagination [collectionSize]="rangePage.results.length" [(page)]="query.page"
                      [pageSize]="query.page_size"
                      (pageChange)="getRanges()">
      </ngb-pagination>
    </div>
  </div>
  